Package io.dapr.v1

# Interface DaprProtos.GetBulkStateResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetBulkStateResponse`, `DaprProtos.GetBulkStateResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetBulkStateResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.BulkStateItem`
`getItems(int index)`
The list of items containing the keys to get values for.
`int`
`getItemsCount()`
The list of items containing the keys to get values for.
`List<DaprProtos.BulkStateItem>`
`getItemsList()`
The list of items containing the keys to get values for.
`DaprProtos.BulkStateItemOrBuilder`
`getItemsOrBuilder(int index)`
The list of items containing the keys to get values for.
`List<? extends DaprProtos.BulkStateItemOrBuilder>`
`getItemsOrBuilderList()`
The list of items containing the keys to get values for.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getItemsList

List<DaprProtos.BulkStateItem> getItemsList()

     The list of items containing the keys to get values for.

`repeated .dapr.proto.runtime.v1.BulkStateItem items = 1;`

### getItems

DaprProtos.BulkStateItem getItems(int index)

     The list of items containing the keys to get values for.

`repeated .dapr.proto.runtime.v1.BulkStateItem items = 1;`

### getItemsCount

int getItemsCount()

     The list of items containing the keys to get values for.

`repeated .dapr.proto.runtime.v1.BulkStateItem items = 1;`

### getItemsOrBuilderList

List<? extends DaprProtos.BulkStateItemOrBuilder> getItemsOrBuilderList()

     The list of items containing the keys to get values for.

`repeated .dapr.proto.runtime.v1.BulkStateItem items = 1;`

### getItemsOrBuilder

DaprProtos.BulkStateItemOrBuilder getItemsOrBuilder(int index)

     The list of items containing the keys to get values for.

`repeated .dapr.proto.runtime.v1.BulkStateItem items = 1;`